
CoCoALib - Feature #900

New function: MinPoly of RingElem in quotient ring

27 Jun 2016 09:05 - Anna Maria Bigatti

Status: Closed Start date: 27 Jun 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 1.50 hour

Target version: CoCoALib-0.99600 Spent time: 1.10 hour

Description

Convert code from CoCoA-5

Related issues:

Related to CoCoALib - Feature #901: New function: PrimaryDecomposition0 in Co... Closed 27 Jun 2016

Related to CoCoALib - Design #849: Cleanup MinPoly code In Progress 22 Mar 2016

Related to CoCoA-5 - Feature #1204: MinPoly for matrix: fix in cocoalib and e... New 31 Jul 2018

History

#1 - 27 Jun 2016 09:06 - Anna Maria Bigatti

- Related to Feature #901: New function: PrimaryDecomposition0 in CoCoALib added

#2 - 27 Jun 2016 09:08 - Anna Maria Bigatti

- Description updated

From existing functions in CoCoA-5

#3 - 16 Sep 2016 16:16 - John Abbott

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#4 - 28 Jun 2017 18:27 - John Abbott

Is this a duplicate issue?  Progress is really 0%?

#5 - 29 Jun 2017 08:12 - Anna Maria Bigatti

- % Done changed from 0 to 10

- Estimated time set to 1.50 h

Is this a duplicate issue?

 

no.

This should be just a call to MinPolyQuot(CanonicalRepr(f), DefiningIdeal(PmodI)).

(with PmodI = RingOf(f))

I just wondered whether it's really useful....
#6 - 06 Nov 2017 14:11 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#7 - 06 Nov 2017 14:12 - John Abbott

- Related to Design #849: Cleanup MinPoly code added

#8 - 31 Jul 2018 14:26 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee changed from Elisa Palezzato to Anna Maria Bigatti

- % Done changed from 10 to 90

#9 - 31 Jul 2018 14:34 - Anna Maria Bigatti

Works in cocoalib, but not ported in cocoa5 because of exported fn MinPoly defined in package mat.cpkg5.

#10 - 31 Jul 2018 14:51 - Anna Maria Bigatti

- Related to Feature #1204: MinPoly for matrix: fix in cocoalib and export to cocoa5 added

#11 - 03 Aug 2018 17:31 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
